CREATE TABLE hex_run_obj_chg_metadata (
    EXT_RUN_OBJ_MET_ID       NUMBER        ,
    OBJECT_ID                NUMBER        ,
    REPORT_CATEGORY_ID       NUMBER        ,
    LATEST_RUN_SEQ_NO        NUMBER        ,
    ENTERPRISE_ID            NUMBER            NOT NULL,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    ATTRIBUTE_CATEGORY       VARCHAR2(120) ,
    ATTRIBUTE1               VARCHAR2(4000),
    ATTRIBUTE2               VARCHAR2(1000),
    ATTRIBUTE3               VARCHAR2(1000),
    ATTRIBUTE4               VARCHAR2(1000),
    ATTRIBUTE5               VARCHAR2(1000),
    ATTRIBUTE6               VARCHAR2(1000),
    ATTRIBUTE7               VARCHAR2(1000),
    ATTRIBUTE8               VARCHAR2(1000),
    ATTRIBUTE9               VARCHAR2(1000),
    ATTRIBUTE10              VARCHAR2(1000),
    EXT_RUN_OBJ_MET_ID       NUMBER        ,
    OBJECT_ID                NUMBER        ,
    REPORT_CATEGORY_ID       NUMBER        ,
    LATEST_RUN_SEQ_NO        NUMBER        ,
    ENTERPRISE_ID            NUMBER            NOT NULL,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    ATTRIBUTE_CATEGORY       VARCHAR2(120) ,
    ATTRIBUTE1               VARCHAR2(4000),
    ATTRIBUTE2               VARCHAR2(1000),
    ATTRIBUTE3               VARCHAR2(1000),
    ATTRIBUTE4               VARCHAR2(1000),
    ATTRIBUTE5               VARCHAR2(1000),
    ATTRIBUTE6               VARCHAR2(1000),
    ATTRIBUTE7               VARCHAR2(1000),
    ATTRIBUTE8               VARCHAR2(1000),
    ATTRIBUTE9               VARCHAR2(1000),
    ATTRIBUTE10              VARCHAR2(1000),
    CONSTRAINT pk_hex_run_obj_chg_metadata PRIMARY KEY (EXT_RUN_OBJ_MET_ID, REPORT_CATEGORY_ID, EXT_RUN_OBJ_MET_ID, REPORT_CATEGORY_ID)
);
